<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	   xmlns:context="http://www.springframework.org/schema/context"
	   xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd http://www.springframework.org/schema/context https://www.springframework.org/schema/context/spring-context.xsd">
	
	<context:property-placeholder location="classpath:egovframework/sqlmap/jdbc.properties"/>

	<!-- oracle -->
	<beans profile="dev">
		<bean id="dataSource" class="org.apache.commons.dbcp.BasicDataSource" destroy-method="close">
			<property name="driverClassName" value="${dev.db.Driver}"/>
			<property name="url" value="${dev.db.Url}"/>
			<property name="username" value="${dev.db.Username}"/>
			<property name="password" value="${dev.db.Password}"/>
		</bean>
		<bean id="daumKey" class="egovframework.util.ApiKey">
			<property name="apiKey" value="d63cb13f040afc64412390c1c84288a6"/>
		</bean>
	</beans>

	<beans profile="prod">
		<bean id="dataSource" class="org.apache.commons.dbcp.BasicDataSource" destroy-method="close">
			<property name="driverClassName" value="${prod.db.Driver}"/>
			<property name="url" value="${prod.db.Url}"/>
			<property name="username" value="${prod.db.Username}"/>
			<property name="password" value="${prod.db.Password}"/>
		</bean>
		<bean id="daumKey" class="egovframework.util.ApiKey">
			<property name="apiKey" value="684f2932c6620f0e8a93c5fc70abe370"/>
		</bean>
	</beans>

    
</beans>
